# 32/64 bit spec
#
%define realname opengfx

Name:           openttd-%{realname}
Version:        0.6.0
Release:        %mkrel 1
Summary:        OpenGFX graphics replacement set for OpenTTD
Summary(de):    OpenGFX Basis Grafik-Set für OpenTTD
Group:          Games/Strategy
License:        GPLv2
URL:            http://dev.openttdcoop.org/projects/opengfx
Source0:        http://bundles.openttdcoop.org/%{realname}/releases/%{realname}-%{version}-source.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
BuildRequires:  grfcodec
#BuildRequires:  nforenum
BuildRequires:  libgimp-devel
BuildRequires:	nml
Conflicts:      openttd < 1.0.0

%description
OpenGFX is an open source graphics base set for OpenTTD which can completely
replace the TTD base set. 
%description -l de
OpenGFX ist ein Open-Source-Basis Grafik-Set für OpenTTD, welches die TTD Basis 
Dateien vollständig ersetzt.

%prep
%setup -q -n %{realname}-%{version}-source

%build
%make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_gamesdatadir}/openttd/data
make install INSTALL_DIR=%{buildroot}%{_gamesdatadir}/openttd/data

# delete multiple doc files
rm -rf %{buildroot}/%{_gamesdatadir}/openttd/data/*.txt

# move license and readme
mkdir -p %{buildroot}/%{_docdir}/%name
mv %{buildroot}/%{_gamesdatadir}/openttd/data/LICENSE %{buildroot}/%{_docdir}/%name
mv %{buildroot}/%{_gamesdatadir}/openttd/data/README.md %{buildroot}/%{_docdir}/%name

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc docs/authoroverview.csv
%{_gamesdatadir}/openttd/data/*.grf
%{_gamesdatadir}/openttd/data/*.obg


%changelog
* Sat May 22 2020 ghostbunny <ghostbunny at gmx dot de> 0.6.0-1pclos2020
- 0.6.0

* Wed Apr 12 2017 ghostbunny <ghostbunny at gmx dot de> 0.5.4-1pclos2017
- 0.5.4

* Wed Jun 18 2014 ghostbunny <ghostbunny at gmx dot de> 0.5.1-1pclos2014
- 0.5.1

* Wed Apr 03 2014 ghostbunny <ghostbunny at gmx dot de> 0.5.0-1pclos2014
- 0.5.0

* Sat May 04 2013 ghostbunny <ghostbunny at gmx dot de> 0.4.6-1pclos2013
- 0.4.6

* Tue May 01 2012 Neal <nealbrks0 at gmail.com> 0.4.4-1pclos2012
- add build dependency libgimp2.0-devel
- process

* Mon Apr 30 2012 ghostbunny <ghostbunny at gmx dot de> 0.4.4-1pclos2012
- 0.4.4
- reworked files section
- added remove of duplicated doc files

* Sat Jul 17 2010 maik3531 <maik3531 at yahoo.de> 0.2.4-1pclos2010
- import openttd-opengfx


